The setting 'Use layer ids as name' does not work for WFS-call
2016-06-20 05:28 AM - Mie Winstrup

Status: Closed

Priority: Normal

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 23027
Description

The setting 'Use layer ids as name' works for WMS-call but does not work for WFS-call. This makes it difficult programmatically to use a
combination of WMS and WFS.

Case:

| have a qgis-project. The qgis-project is published as a WMS and WFS with QGIS Server (ubuntu). Since there is inconsistency in the
naming of files with WMS and WFS if a layer contains a space (reported as bug), | want to use the setting 'Use layer ids as name' to be
able to use a combination of WMS and WFS call to the same qgis-project. In Project Properties | specify that | want to use layer ids as
names:

Use_layer_ids_as_names.png

The problem
When calling a WMS GetCapability-request to this Qgis-project layerids are used as names:
WMS_use_layernames_as_ids_001.png

However, when calling a WFS GetCapability-request to this Qgis-project, the layerids are NOT used as names (it is the layername
instead):
WEFS_use_layernames_as_ids_001.png

Related issues:
Related to QGIS Application - Bug report # 15086: Inconsistency between layer... Closed 2016-06-20

History

#1 - 2016-06-20 05:29 AM - Mie Winstrup
- File WFS_use_layernames_as_ids_001.png added
- File Use_layer_ids_as _names.png added
- File WMS_use_layernames_as _ids_001.png added

#2 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2017-10-20 10:22 AM - René-Luc RelLuc
- Assignee set to René-Luc RelLuc

- Description updated

#4 - 2017-10-20 10:22 AM - René-Luc ReLuc
- Status changed from Open to Feedback
has it been fixed in 2.18 ?

#5 - 2019-02-23 08:36 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
